Bug 239714 - After resume from RAM, my hardware clock is off by decades :(
Summary: After resume from RAM, my hardware clock is off by decades :(
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-10 18:23 UTC by Zack Cerza
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-20 15:53:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Zack Cerza 2007-05-10 18:23:32 UTC
Description of problem:
Every time I resume from RAM, my hardware clock is over 1 decade ahead or behind
 real time. Year, month, day and time are all affected. Sometimes I'm in the
1970s, and sometimes I'm in the 2020s. The "software" clock seems to keep the
right time.

I'm reasonably confident FC6 didn't do this on this hardware (Thinkpad X41).

I realize there's probably not enough information here, but I'm not sure what to
provide; I don't see any interesting messages in any logs or dmesg when this
occurs. Let me know what I can do.

Version-Release number of selected component (if applicable):
kernel-2.6.21-1.3132.fc7.i686
kernel-2.6.21-1.3141.fc7.i686
and some previous ones

How reproducible:
Always

Comment 1 Nigel Cunningham 2007-05-18 22:46:24 UTC
Sounds like CONFIG_PM_TRACE is enabled. Are you able to check whether that's true?

Comment 2 Chuck Ebbert 2007-05-18 23:07:01 UTC
(In reply to comment #1)
> Sounds like CONFIG_PM_TRACE is enabled. Are you able to check whether that's true?

http://cvs.fedora.redhat.com/viewcvs/rpms/kernel/F-7/configs/config-generic?root=extras&rev=1.315&view=auto

Says it is.

Comment 3 Zack Cerza 2007-06-20 15:53:18 UTC
Haven't seen this in a while.


Note You need to log in before you can comment on or make changes to this bug.